from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDragGestureRecognizer(XInterface, Protocol):
    def addDragGestureListener(self, dgl: XDragGestureListener) -> None: ...
    def removeDragGestureListener(self, dgl: XDragGestureListener) -> None: ...
    def resetRecognizer(self) -> None: ...
